## API Report File for "@fluentui/react-tabster"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { MakeStylesStyle } from '@fluentui/react-make-styles';
import type { MakeStylesStyleRule } from '@fluentui/react-make-styles';
import type { RefObject } from 'react';
import type { Theme } from '@fluentui/react-theme';
import { Types } from 'tabster';

// @public
export const createCustomFocusIndicatorStyle: (rule: MakeStylesStyleRule<Theme>, options?: CreateFocusIndicatorStyleRuleOptions) => MakeStylesStyleRule<Theme>;

// @public (undocumented)
export interface CreateFocusIndicatorStyleRuleOptions {
    // (undocumented)
    selector?: 'focus' | 'focus-within';
}

// @public
export const createFocusOutlineStyle: (theme: Theme, options?: {
    style: Partial<FocusOutlineStyleOptions>;
} & CreateFocusIndicatorStyleRuleOptions) => MakeStylesStyle;

// @public (undocumented)
export type FocusOutlineOffset = Record<'top' | 'bottom' | 'left' | 'right', string>;

// @public (undocumented)
export type FocusOutlineStyleOptions = {
    outlineRadius: string;
    outlineColor: string;
    outlineWidth: string;
    outlineOffset?: string | FocusOutlineOffset;
};

// @public
export const useArrowNavigationGroup: (options?: UseArrowNavigationGroupOptions | undefined) => Types.TabsterDOMAttribute;

// @public (undocumented)
export interface UseArrowNavigationGroupOptions {
    axis?: 'vertical' | 'horizontal';
    circular?: boolean;
    memorizeCurrent?: boolean;
}

// @public
export const useFocusableGroup: (options?: UseFocusableGroupOptions | undefined) => Types.TabsterDOMAttribute;

// @public (undocumented)
export interface UseFocusableGroupOptions {
    tabBehavior?: 'unlimited' | 'limited' | 'limitedTrapFocus';
}

// @public
export const useFocusFinders: () => {
    findAllFocusable: (container: HTMLElement, acceptCondition: (el: HTMLElement) => boolean) => HTMLElement[];
    findFirstFocusable: (container: HTMLElement) => HTMLElement | null | undefined;
    findLastFocusable: (container: HTMLElement) => HTMLElement | null | undefined;
    findNextFocusable: (currentElement: HTMLElement, options?: Pick<Types.FindNextProps, 'container'>) => HTMLElement | null | undefined;
    findPrevFocusable: (currentElement: HTMLElement, options?: Pick<Types.FindNextProps, 'container'>) => HTMLElement | null | undefined;
};

// @public
export function useKeyboardNavAttribute<E extends HTMLElement>(): RefObject<E>;

// @public
export const useModalAttributes: (options?: UseModalAttributesOptions) => {
    modalAttributes: Types.TabsterDOMAttribute;
    triggerAttributes: Types.TabsterDOMAttribute;
};

// @public (undocumented)
export interface UseModalAttributesOptions {
    alwaysFocusable?: boolean;
    trapFocus?: boolean;
}

// @public
export const useTabsterAttributes: (props: Types.TabsterAttributeProps) => Types.TabsterDOMAttribute;

// (No @packageDocumentation comment for this package)

```
