/**
 * Design tokens for alias colors
 */
export type ColorTokens = {
  colorNeutralForeground1: string;
  colorNeutralForeground1Hover: string;
  colorNeutralForeground1Pressed: string;
  colorNeutralForeground1Selected: string;
  colorNeutralForeground2: string;
  colorNeutralForeground2Hover: string;
  colorNeutralForeground2Pressed: string;
  colorNeutralForeground2Selected: string;
  colorNeutralForeground2BrandHover: string;
  colorNeutralForeground2BrandPressed: string;
  colorNeutralForeground2BrandSelected: string;
  colorNeutralForeground3: string;
  colorNeutralForeground3Hover: string;
  colorNeutralForeground3Pressed: string;
  colorNeutralForeground3Selected: string;
  colorNeutralForeground3BrandHover: string;
  colorNeutralForeground3BrandPressed: string;
  colorNeutralForeground3BrandSelected: string;
  colorNeutralForeground4: string;
  colorNeutralForegroundDisabled: string;
  colorNeutralForegroundInvertedDisabled: string;
  colorBrandForegroundLink: string;
  colorBrandForegroundLinkHover: string;
  colorBrandForegroundLinkPressed: string;
  colorBrandForegroundLinkSelected: string;
  colorCompoundBrandForeground1: string;
  colorCompoundBrandForeground1Hover: string;
  colorCompoundBrandForeground1Pressed: string;
  colorBrandForeground1: string;
  colorBrandForeground2: string;
  colorNeutralForegroundInverted: string;
  colorNeutralForegroundInvertedHover: string;
  colorNeutralForegroundInvertedPressed: string;
  colorNeutralForegroundInvertedSelected: string;
  colorNeutralForegroundOnBrand: string;
  colorNeutralForegroundInvertedLink: string;
  colorNeutralForegroundInvertedLinkHover: string;
  colorNeutralForegroundInvertedLinkPressed: string;
  colorNeutralForegroundInvertedLinkSelected: string;
  colorBrandForegroundInverted: string;
  colorBrandForegroundInvertedHover: string;
  colorBrandForegroundInvertedPressed: string;
  colorBrandForegroundOnLight: string;
  colorBrandForegroundOnLightHover: string;
  colorBrandForegroundOnLightPressed: string;
  colorBrandForegroundOnLightSelected: string;
  colorNeutralBackground1: string;
  colorNeutralBackground1Hover: string;
  colorNeutralBackground1Pressed: string;
  colorNeutralBackground1Selected: string;
  colorNeutralBackground2: string;
  colorNeutralBackground2Hover: string;
  colorNeutralBackground2Pressed: string;
  colorNeutralBackground2Selected: string;
  colorNeutralBackground3: string;
  colorNeutralBackground3Hover: string;
  colorNeutralBackground3Pressed: string;
  colorNeutralBackground3Selected: string;
  colorNeutralBackground4: string;
  colorNeutralBackground4Hover: string;
  colorNeutralBackground4Pressed: string;
  colorNeutralBackground4Selected: string;
  colorNeutralBackground5: string;
  colorNeutralBackground5Hover: string;
  colorNeutralBackground5Pressed: string;
  colorNeutralBackground5Selected: string;
  colorNeutralBackground6: string;
  colorNeutralBackgroundInverted: string;
  colorSubtleBackground: string;
  colorSubtleBackgroundHover: string;
  colorSubtleBackgroundPressed: string;
  colorSubtleBackgroundSelected: string;
  colorSubtleBackgroundLightAlphaHover: string;
  colorSubtleBackgroundLightAlphaPressed: string;
  colorSubtleBackgroundLightAlphaSelected: string;
  colorSubtleBackgroundInverted: string;
  colorSubtleBackgroundInvertedHover: string;
  colorSubtleBackgroundInvertedPressed: string;
  colorSubtleBackgroundInvertedSelected: string;
  colorTransparentBackground: string;
  colorTransparentBackgroundHover: string;
  colorTransparentBackgroundPressed: string;
  colorTransparentBackgroundSelected: string;
  colorNeutralBackgroundDisabled: string;
  colorNeutralBackgroundInvertedDisabled: string;
  colorNeutralStencil1: string;
  colorNeutralStencil2: string;
  colorBrandBackground: string;
  colorBrandBackgroundHover: string;
  colorBrandBackgroundPressed: string;
  colorBrandBackgroundSelected: string;
  colorCompoundBrandBackground: string;
  colorCompoundBrandBackgroundHover: string;
  colorCompoundBrandBackgroundPressed: string;
  colorBrandBackgroundStatic: string;
  colorBrandBackground2: string;
  colorBrandBackgroundInverted: string;
  colorBrandBackgroundInvertedHover: string;
  colorBrandBackgroundInvertedPressed: string;
  colorBrandBackgroundInvertedSelected: string;
  colorNeutralStrokeAccessible: string;
  colorNeutralStrokeAccessibleHover: string;
  colorNeutralStrokeAccessiblePressed: string;
  colorNeutralStrokeAccessibleSelected: string;
  colorNeutralStroke1: string;
  colorNeutralStroke1Hover: string;
  colorNeutralStroke1Pressed: string;
  colorNeutralStroke1Selected: string;
  colorNeutralStroke2: string;
  colorNeutralStroke3: string;
  colorNeutralStrokeOnBrand: string;
  colorNeutralStrokeOnBrand2: string;
  colorNeutralStrokeOnBrand2Hover: string;
  colorNeutralStrokeOnBrand2Pressed: string;
  colorNeutralStrokeOnBrand2Selected: string;
  colorBrandStroke1: string;
  colorBrandStroke2: string;
  colorCompoundBrandStroke: string;
  colorCompoundBrandStrokeHover: string;
  colorCompoundBrandStrokePressed: string;
  colorNeutralStrokeDisabled: string;
  colorNeutralStrokeInvertedDisabled: string;
  colorTransparentStroke: string;
  colorTransparentStrokeInteractive: string;
  colorTransparentStrokeDisabled: string;
  colorStrokeFocus1: string;
  colorStrokeFocus2: string;
  colorNeutralShadowAmbient: string;
  colorNeutralShadowKey: string;
  colorNeutralShadowAmbientLighter: string;
  colorNeutralShadowKeyLighter: string;
  colorNeutralShadowAmbientDarker: string;
  colorNeutralShadowKeyDarker: string;
  colorBrandShadowAmbient: string;
  colorBrandShadowKey: string;
};

export type ColorPaletteDarkRed =
  | 'colorPaletteDarkRedBackground1'
  | 'colorPaletteDarkRedBackground2'
  | 'colorPaletteDarkRedBackground3'
  | 'colorPaletteDarkRedForeground1'
  | 'colorPaletteDarkRedForeground2'
  | 'colorPaletteDarkRedForeground3'
  | 'colorPaletteDarkRedBorderActive'
  | 'colorPaletteDarkRedBorder1'
  | 'colorPaletteDarkRedBorder2';

export type ColorPaletteBurgundy =
  | 'colorPaletteBurgundyBackground1'
  | 'colorPaletteBurgundyBackground2'
  | 'colorPaletteBurgundyBackground3'
  | 'colorPaletteBurgundyForeground1'
  | 'colorPaletteBurgundyForeground2'
  | 'colorPaletteBurgundyForeground3'
  | 'colorPaletteBurgundyBorderActive'
  | 'colorPaletteBurgundyBorder1'
  | 'colorPaletteBurgundyBorder2';

export type ColorPaletteCranberry =
  | 'colorPaletteCranberryBackground1'
  | 'colorPaletteCranberryBackground2'
  | 'colorPaletteCranberryBackground3'
  | 'colorPaletteCranberryForeground1'
  | 'colorPaletteCranberryForeground2'
  | 'colorPaletteCranberryForeground3'
  | 'colorPaletteCranberryBorderActive'
  | 'colorPaletteCranberryBorder1'
  | 'colorPaletteCranberryBorder2';

export type ColorPaletteRed =
  | 'colorPaletteRedBackground1'
  | 'colorPaletteRedBackground2'
  | 'colorPaletteRedBackground3'
  | 'colorPaletteRedForeground1'
  | 'colorPaletteRedForeground2'
  | 'colorPaletteRedForeground3'
  | 'colorPaletteRedBorderActive'
  | 'colorPaletteRedBorder1'
  | 'colorPaletteRedBorder2';

export type ColorPaletteDarkOrange =
  | 'colorPaletteDarkOrangeBackground1'
  | 'colorPaletteDarkOrangeBackground2'
  | 'colorPaletteDarkOrangeBackground3'
  | 'colorPaletteDarkOrangeForeground1'
  | 'colorPaletteDarkOrangeForeground2'
  | 'colorPaletteDarkOrangeForeground3'
  | 'colorPaletteDarkOrangeBorderActive'
  | 'colorPaletteDarkOrangeBorder1'
  | 'colorPaletteDarkOrangeBorder2';

export type ColorPaletteBronze =
  | 'colorPaletteBronzeBackground1'
  | 'colorPaletteBronzeBackground2'
  | 'colorPaletteBronzeBackground3'
  | 'colorPaletteBronzeForeground1'
  | 'colorPaletteBronzeForeground2'
  | 'colorPaletteBronzeForeground3'
  | 'colorPaletteBronzeBorderActive'
  | 'colorPaletteBronzeBorder1'
  | 'colorPaletteBronzeBorder2';

export type ColorPalettePumpkin =
  | 'colorPalettePumpkinBackground1'
  | 'colorPalettePumpkinBackground2'
  | 'colorPalettePumpkinBackground3'
  | 'colorPalettePumpkinForeground1'
  | 'colorPalettePumpkinForeground2'
  | 'colorPalettePumpkinForeground3'
  | 'colorPalettePumpkinBorderActive'
  | 'colorPalettePumpkinBorder1'
  | 'colorPalettePumpkinBorder2';

export type ColorPaletteOrange =
  | 'colorPaletteOrangeBackground1'
  | 'colorPaletteOrangeBackground2'
  | 'colorPaletteOrangeBackground3'
  | 'colorPaletteOrangeForeground1'
  | 'colorPaletteOrangeForeground2'
  | 'colorPaletteOrangeForeground3'
  | 'colorPaletteOrangeBorderActive'
  | 'colorPaletteOrangeBorder1'
  | 'colorPaletteOrangeBorder2';

export type ColorPalettePeach =
  | 'colorPalettePeachBackground1'
  | 'colorPalettePeachBackground2'
  | 'colorPalettePeachBackground3'
  | 'colorPalettePeachForeground1'
  | 'colorPalettePeachForeground2'
  | 'colorPalettePeachForeground3'
  | 'colorPalettePeachBorderActive'
  | 'colorPalettePeachBorder1'
  | 'colorPalettePeachBorder2';

export type ColorPaletteMarigold =
  | 'colorPaletteMarigoldBackground1'
  | 'colorPaletteMarigoldBackground2'
  | 'colorPaletteMarigoldBackground3'
  | 'colorPaletteMarigoldForeground1'
  | 'colorPaletteMarigoldForeground2'
  | 'colorPaletteMarigoldForeground3'
  | 'colorPaletteMarigoldBorderActive'
  | 'colorPaletteMarigoldBorder1'
  | 'colorPaletteMarigoldBorder2';

export type ColorPaletteYellow =
  | 'colorPaletteYellowBackground1'
  | 'colorPaletteYellowBackground2'
  | 'colorPaletteYellowBackground3'
  | 'colorPaletteYellowForeground1'
  | 'colorPaletteYellowForeground2'
  | 'colorPaletteYellowForeground3'
  | 'colorPaletteYellowBorderActive'
  | 'colorPaletteYellowBorder1'
  | 'colorPaletteYellowBorder2';

export type ColorPaletteGold =
  | 'colorPaletteGoldBackground1'
  | 'colorPaletteGoldBackground2'
  | 'colorPaletteGoldBackground3'
  | 'colorPaletteGoldForeground1'
  | 'colorPaletteGoldForeground2'
  | 'colorPaletteGoldForeground3'
  | 'colorPaletteGoldBorderActive'
  | 'colorPaletteGoldBorder1'
  | 'colorPaletteGoldBorder2';

export type ColorPaletteBrass =
  | 'colorPaletteBrassBackground1'
  | 'colorPaletteBrassBackground2'
  | 'colorPaletteBrassBackground3'
  | 'colorPaletteBrassForeground1'
  | 'colorPaletteBrassForeground2'
  | 'colorPaletteBrassForeground3'
  | 'colorPaletteBrassBorderActive'
  | 'colorPaletteBrassBorder1'
  | 'colorPaletteBrassBorder2';

export type ColorPaletteBrown =
  | 'colorPaletteBrownBackground1'
  | 'colorPaletteBrownBackground2'
  | 'colorPaletteBrownBackground3'
  | 'colorPaletteBrownForeground1'
  | 'colorPaletteBrownForeground2'
  | 'colorPaletteBrownForeground3'
  | 'colorPaletteBrownBorderActive'
  | 'colorPaletteBrownBorder1'
  | 'colorPaletteBrownBorder2';

export type ColorPaletteDarkBrown =
  | 'colorPaletteDarkBrownBackground1'
  | 'colorPaletteDarkBrownBackground2'
  | 'colorPaletteDarkBrownBackground3'
  | 'colorPaletteDarkBrownForeground1'
  | 'colorPaletteDarkBrownForeground2'
  | 'colorPaletteDarkBrownForeground3'
  | 'colorPaletteDarkBrownBorderActive'
  | 'colorPaletteDarkBrownBorder1'
  | 'colorPaletteDarkBrownBorder2';

export type ColorPaletteLime =
  | 'colorPaletteLimeBackground1'
  | 'colorPaletteLimeBackground2'
  | 'colorPaletteLimeBackground3'
  | 'colorPaletteLimeForeground1'
  | 'colorPaletteLimeForeground2'
  | 'colorPaletteLimeForeground3'
  | 'colorPaletteLimeBorderActive'
  | 'colorPaletteLimeBorder1'
  | 'colorPaletteLimeBorder2';

export type ColorPaletteForest =
  | 'colorPaletteForestBackground1'
  | 'colorPaletteForestBackground2'
  | 'colorPaletteForestBackground3'
  | 'colorPaletteForestForeground1'
  | 'colorPaletteForestForeground2'
  | 'colorPaletteForestForeground3'
  | 'colorPaletteForestBorderActive'
  | 'colorPaletteForestBorder1'
  | 'colorPaletteForestBorder2';

export type ColorPaletteSeafoam =
  | 'colorPaletteSeafoamBackground1'
  | 'colorPaletteSeafoamBackground2'
  | 'colorPaletteSeafoamBackground3'
  | 'colorPaletteSeafoamForeground1'
  | 'colorPaletteSeafoamForeground2'
  | 'colorPaletteSeafoamForeground3'
  | 'colorPaletteSeafoamBorderActive'
  | 'colorPaletteSeafoamBorder1'
  | 'colorPaletteSeafoamBorder2';

export type ColorPaletteLightGreen =
  | 'colorPaletteLightGreenBackground1'
  | 'colorPaletteLightGreenBackground2'
  | 'colorPaletteLightGreenBackground3'
  | 'colorPaletteLightGreenForeground1'
  | 'colorPaletteLightGreenForeground2'
  | 'colorPaletteLightGreenForeground3'
  | 'colorPaletteLightGreenBorderActive'
  | 'colorPaletteLightGreenBorder1'
  | 'colorPaletteLightGreenBorder2';

export type ColorPaletteGreen =
  | 'colorPaletteGreenBackground1'
  | 'colorPaletteGreenBackground2'
  | 'colorPaletteGreenBackground3'
  | 'colorPaletteGreenForeground1'
  | 'colorPaletteGreenForeground2'
  | 'colorPaletteGreenForeground3'
  | 'colorPaletteGreenBorderActive'
  | 'colorPaletteGreenBorder1'
  | 'colorPaletteGreenBorder2';

export type ColorPaletteDarkGreen =
  | 'colorPaletteDarkGreenBackground1'
  | 'colorPaletteDarkGreenBackground2'
  | 'colorPaletteDarkGreenBackground3'
  | 'colorPaletteDarkGreenForeground1'
  | 'colorPaletteDarkGreenForeground2'
  | 'colorPaletteDarkGreenForeground3'
  | 'colorPaletteDarkGreenBorderActive'
  | 'colorPaletteDarkGreenBorder1'
  | 'colorPaletteDarkGreenBorder2';

export type ColorPaletteLightTeal =
  | 'colorPaletteLightTealBackground1'
  | 'colorPaletteLightTealBackground2'
  | 'colorPaletteLightTealBackground3'
  | 'colorPaletteLightTealForeground1'
  | 'colorPaletteLightTealForeground2'
  | 'colorPaletteLightTealForeground3'
  | 'colorPaletteLightTealBorderActive'
  | 'colorPaletteLightTealBorder1'
  | 'colorPaletteLightTealBorder2';

export type ColorPaletteTeal =
  | 'colorPaletteTealBackground1'
  | 'colorPaletteTealBackground2'
  | 'colorPaletteTealBackground3'
  | 'colorPaletteTealForeground1'
  | 'colorPaletteTealForeground2'
  | 'colorPaletteTealForeground3'
  | 'colorPaletteTealBorderActive'
  | 'colorPaletteTealBorder1'
  | 'colorPaletteTealBorder2';

export type ColorPaletteDarkTeal =
  | 'colorPaletteDarkTealBackground1'
  | 'colorPaletteDarkTealBackground2'
  | 'colorPaletteDarkTealBackground3'
  | 'colorPaletteDarkTealForeground1'
  | 'colorPaletteDarkTealForeground2'
  | 'colorPaletteDarkTealForeground3'
  | 'colorPaletteDarkTealBorderActive'
  | 'colorPaletteDarkTealBorder1'
  | 'colorPaletteDarkTealBorder2';

export type ColorPaletteCyan =
  | 'colorPaletteCyanBackground1'
  | 'colorPaletteCyanBackground2'
  | 'colorPaletteCyanBackground3'
  | 'colorPaletteCyanForeground1'
  | 'colorPaletteCyanForeground2'
  | 'colorPaletteCyanForeground3'
  | 'colorPaletteCyanBorderActive'
  | 'colorPaletteCyanBorder1'
  | 'colorPaletteCyanBorder2';

export type ColorPaletteSteel =
  | 'colorPaletteSteelBackground1'
  | 'colorPaletteSteelBackground2'
  | 'colorPaletteSteelBackground3'
  | 'colorPaletteSteelForeground1'
  | 'colorPaletteSteelForeground2'
  | 'colorPaletteSteelForeground3'
  | 'colorPaletteSteelBorderActive'
  | 'colorPaletteSteelBorder1'
  | 'colorPaletteSteelBorder2';

export type ColorPaletteLightBlue =
  | 'colorPaletteLightBlueBackground1'
  | 'colorPaletteLightBlueBackground2'
  | 'colorPaletteLightBlueBackground3'
  | 'colorPaletteLightBlueForeground1'
  | 'colorPaletteLightBlueForeground2'
  | 'colorPaletteLightBlueForeground3'
  | 'colorPaletteLightBlueBorderActive'
  | 'colorPaletteLightBlueBorder1'
  | 'colorPaletteLightBlueBorder2';

export type ColorPaletteBlue =
  | 'colorPaletteBlueBackground1'
  | 'colorPaletteBlueBackground2'
  | 'colorPaletteBlueBackground3'
  | 'colorPaletteBlueForeground1'
  | 'colorPaletteBlueForeground2'
  | 'colorPaletteBlueForeground3'
  | 'colorPaletteBlueBorderActive'
  | 'colorPaletteBlueBorder1'
  | 'colorPaletteBlueBorder2';

export type ColorPaletteRoyalBlue =
  | 'colorPaletteRoyalBlueBackground1'
  | 'colorPaletteRoyalBlueBackground2'
  | 'colorPaletteRoyalBlueBackground3'
  | 'colorPaletteRoyalBlueForeground1'
  | 'colorPaletteRoyalBlueForeground2'
  | 'colorPaletteRoyalBlueForeground3'
  | 'colorPaletteRoyalBlueBorderActive'
  | 'colorPaletteRoyalBlueBorder1'
  | 'colorPaletteRoyalBlueBorder2';

export type ColorPaletteDarkBlue =
  | 'colorPaletteDarkBlueBackground1'
  | 'colorPaletteDarkBlueBackground2'
  | 'colorPaletteDarkBlueBackground3'
  | 'colorPaletteDarkBlueForeground1'
  | 'colorPaletteDarkBlueForeground2'
  | 'colorPaletteDarkBlueForeground3'
  | 'colorPaletteDarkBlueBorderActive'
  | 'colorPaletteDarkBlueBorder1'
  | 'colorPaletteDarkBlueBorder2';

export type ColorPaletteCornflower =
  | 'colorPaletteCornflowerBackground1'
  | 'colorPaletteCornflowerBackground2'
  | 'colorPaletteCornflowerBackground3'
  | 'colorPaletteCornflowerForeground1'
  | 'colorPaletteCornflowerForeground2'
  | 'colorPaletteCornflowerForeground3'
  | 'colorPaletteCornflowerBorderActive'
  | 'colorPaletteCornflowerBorder1'
  | 'colorPaletteCornflowerBorder2';

export type ColorPaletteNavy =
  | 'colorPaletteNavyBackground1'
  | 'colorPaletteNavyBackground2'
  | 'colorPaletteNavyBackground3'
  | 'colorPaletteNavyForeground1'
  | 'colorPaletteNavyForeground2'
  | 'colorPaletteNavyForeground3'
  | 'colorPaletteNavyBorderActive'
  | 'colorPaletteNavyBorder1'
  | 'colorPaletteNavyBorder2';

export type ColorPaletteLavender =
  | 'colorPaletteLavenderBackground1'
  | 'colorPaletteLavenderBackground2'
  | 'colorPaletteLavenderBackground3'
  | 'colorPaletteLavenderForeground1'
  | 'colorPaletteLavenderForeground2'
  | 'colorPaletteLavenderForeground3'
  | 'colorPaletteLavenderBorderActive'
  | 'colorPaletteLavenderBorder1'
  | 'colorPaletteLavenderBorder2';

export type ColorPalettePurple =
  | 'colorPalettePurpleBackground1'
  | 'colorPalettePurpleBackground2'
  | 'colorPalettePurpleBackground3'
  | 'colorPalettePurpleForeground1'
  | 'colorPalettePurpleForeground2'
  | 'colorPalettePurpleForeground3'
  | 'colorPalettePurpleBorderActive'
  | 'colorPalettePurpleBorder1'
  | 'colorPalettePurpleBorder2';

export type ColorPaletteDarkPurple =
  | 'colorPaletteDarkPurpleBackground1'
  | 'colorPaletteDarkPurpleBackground2'
  | 'colorPaletteDarkPurpleBackground3'
  | 'colorPaletteDarkPurpleForeground1'
  | 'colorPaletteDarkPurpleForeground2'
  | 'colorPaletteDarkPurpleForeground3'
  | 'colorPaletteDarkPurpleBorderActive'
  | 'colorPaletteDarkPurpleBorder1'
  | 'colorPaletteDarkPurpleBorder2';

export type ColorPaletteOrchid =
  | 'colorPaletteOrchidBackground1'
  | 'colorPaletteOrchidBackground2'
  | 'colorPaletteOrchidBackground3'
  | 'colorPaletteOrchidForeground1'
  | 'colorPaletteOrchidForeground2'
  | 'colorPaletteOrchidForeground3'
  | 'colorPaletteOrchidBorderActive'
  | 'colorPaletteOrchidBorder1'
  | 'colorPaletteOrchidBorder2';

export type ColorPaletteGrape =
  | 'colorPaletteGrapeBackground1'
  | 'colorPaletteGrapeBackground2'
  | 'colorPaletteGrapeBackground3'
  | 'colorPaletteGrapeForeground1'
  | 'colorPaletteGrapeForeground2'
  | 'colorPaletteGrapeForeground3'
  | 'colorPaletteGrapeBorderActive'
  | 'colorPaletteGrapeBorder1'
  | 'colorPaletteGrapeBorder2';

export type ColorPaletteBerry =
  | 'colorPaletteBerryBackground1'
  | 'colorPaletteBerryBackground2'
  | 'colorPaletteBerryBackground3'
  | 'colorPaletteBerryForeground1'
  | 'colorPaletteBerryForeground2'
  | 'colorPaletteBerryForeground3'
  | 'colorPaletteBerryBorderActive'
  | 'colorPaletteBerryBorder1'
  | 'colorPaletteBerryBorder2';

export type ColorPaletteLilac =
  | 'colorPaletteLilacBackground1'
  | 'colorPaletteLilacBackground2'
  | 'colorPaletteLilacBackground3'
  | 'colorPaletteLilacForeground1'
  | 'colorPaletteLilacForeground2'
  | 'colorPaletteLilacForeground3'
  | 'colorPaletteLilacBorderActive'
  | 'colorPaletteLilacBorder1'
  | 'colorPaletteLilacBorder2';

export type ColorPalettePink =
  | 'colorPalettePinkBackground1'
  | 'colorPalettePinkBackground2'
  | 'colorPalettePinkBackground3'
  | 'colorPalettePinkForeground1'
  | 'colorPalettePinkForeground2'
  | 'colorPalettePinkForeground3'
  | 'colorPalettePinkBorderActive'
  | 'colorPalettePinkBorder1'
  | 'colorPalettePinkBorder2';

export type ColorPaletteHotPink =
  | 'colorPaletteHotPinkBackground1'
  | 'colorPaletteHotPinkBackground2'
  | 'colorPaletteHotPinkBackground3'
  | 'colorPaletteHotPinkForeground1'
  | 'colorPaletteHotPinkForeground2'
  | 'colorPaletteHotPinkForeground3'
  | 'colorPaletteHotPinkBorderActive'
  | 'colorPaletteHotPinkBorder1'
  | 'colorPaletteHotPinkBorder2';

export type ColorPaletteMagenta =
  | 'colorPaletteMagentaBackground1'
  | 'colorPaletteMagentaBackground2'
  | 'colorPaletteMagentaBackground3'
  | 'colorPaletteMagentaForeground1'
  | 'colorPaletteMagentaForeground2'
  | 'colorPaletteMagentaForeground3'
  | 'colorPaletteMagentaBorderActive'
  | 'colorPaletteMagentaBorder1'
  | 'colorPaletteMagentaBorder2';

export type ColorPalettePlum =
  | 'colorPalettePlumBackground1'
  | 'colorPalettePlumBackground2'
  | 'colorPalettePlumBackground3'
  | 'colorPalettePlumForeground1'
  | 'colorPalettePlumForeground2'
  | 'colorPalettePlumForeground3'
  | 'colorPalettePlumBorderActive'
  | 'colorPalettePlumBorder1'
  | 'colorPalettePlumBorder2';

export type ColorPaletteBeige =
  | 'colorPaletteBeigeBackground1'
  | 'colorPaletteBeigeBackground2'
  | 'colorPaletteBeigeBackground3'
  | 'colorPaletteBeigeForeground1'
  | 'colorPaletteBeigeForeground2'
  | 'colorPaletteBeigeForeground3'
  | 'colorPaletteBeigeBorderActive'
  | 'colorPaletteBeigeBorder1'
  | 'colorPaletteBeigeBorder2';

export type ColorPaletteMink =
  | 'colorPaletteMinkBackground1'
  | 'colorPaletteMinkBackground2'
  | 'colorPaletteMinkBackground3'
  | 'colorPaletteMinkForeground1'
  | 'colorPaletteMinkForeground2'
  | 'colorPaletteMinkForeground3'
  | 'colorPaletteMinkBorderActive'
  | 'colorPaletteMinkBorder1'
  | 'colorPaletteMinkBorder2';

export type ColorPaletteSilver =
  | 'colorPaletteSilverBackground1'
  | 'colorPaletteSilverBackground2'
  | 'colorPaletteSilverBackground3'
  | 'colorPaletteSilverForeground1'
  | 'colorPaletteSilverForeground2'
  | 'colorPaletteSilverForeground3'
  | 'colorPaletteSilverBorderActive'
  | 'colorPaletteSilverBorder1'
  | 'colorPaletteSilverBorder2';

export type ColorPalettePlatinum =
  | 'colorPalettePlatinumBackground1'
  | 'colorPalettePlatinumBackground2'
  | 'colorPalettePlatinumBackground3'
  | 'colorPalettePlatinumForeground1'
  | 'colorPalettePlatinumForeground2'
  | 'colorPalettePlatinumForeground3'
  | 'colorPalettePlatinumBorderActive'
  | 'colorPalettePlatinumBorder1'
  | 'colorPalettePlatinumBorder2';

export type ColorPaletteAnchor =
  | 'colorPaletteAnchorBackground1'
  | 'colorPaletteAnchorBackground2'
  | 'colorPaletteAnchorBackground3'
  | 'colorPaletteAnchorForeground1'
  | 'colorPaletteAnchorForeground2'
  | 'colorPaletteAnchorForeground3'
  | 'colorPaletteAnchorBorderActive'
  | 'colorPaletteAnchorBorder1'
  | 'colorPaletteAnchorBorder2';

export type ColorPaletteCharcoal =
  | 'colorPaletteCharcoalBackground1'
  | 'colorPaletteCharcoalBackground2'
  | 'colorPaletteCharcoalBackground3'
  | 'colorPaletteCharcoalForeground1'
  | 'colorPaletteCharcoalForeground2'
  | 'colorPaletteCharcoalForeground3'
  | 'colorPaletteCharcoalBorderActive'
  | 'colorPaletteCharcoalBorder1'
  | 'colorPaletteCharcoalBorder2';

export type ColorPaletteTokens = Record<
  | ColorPaletteDarkRed
  | ColorPaletteBurgundy
  | ColorPaletteCranberry
  | ColorPaletteRed
  | ColorPaletteDarkOrange
  | ColorPaletteBronze
  | ColorPalettePumpkin
  | ColorPaletteOrange
  | ColorPalettePeach
  | ColorPaletteMarigold
  | ColorPaletteYellow
  | ColorPaletteGold
  | ColorPaletteBrass
  | ColorPaletteBrown
  | ColorPaletteDarkBrown
  | ColorPaletteLime
  | ColorPaletteForest
  | ColorPaletteSeafoam
  | ColorPaletteLightGreen
  | ColorPaletteGreen
  | ColorPaletteDarkGreen
  | ColorPaletteLightTeal
  | ColorPaletteTeal
  | ColorPaletteDarkTeal
  | ColorPaletteCyan
  | ColorPaletteSteel
  | ColorPaletteLightBlue
  | ColorPaletteBlue
  | ColorPaletteRoyalBlue
  | ColorPaletteDarkBlue
  | ColorPaletteCornflower
  | ColorPaletteNavy
  | ColorPaletteLavender
  | ColorPalettePurple
  | ColorPaletteDarkPurple
  | ColorPaletteOrchid
  | ColorPaletteGrape
  | ColorPaletteBerry
  | ColorPaletteLilac
  | ColorPalettePink
  | ColorPaletteHotPink
  | ColorPaletteMagenta
  | ColorPalettePlum
  | ColorPaletteBeige
  | ColorPaletteMink
  | ColorPaletteSilver
  | ColorPalettePlatinum
  | ColorPaletteAnchor
  | ColorPaletteCharcoal,
  string
>;

/**
 * Possible color variant values
 */
export type ColorVariants = {
  shade50: string;
  shade40: string;
  shade30: string;
  shade20: string;
  shade10: string;
  primary: string;
  tint10: string;
  tint20: string;
  tint30: string;
  tint40: string;
  tint50: string;
  tint60: string;
};

export type Brands = 10 | 20 | 30 | 40 | 50 | 60 | 70 | 80 | 90 | 100 | 110 | 120 | 130 | 140 | 150 | 160;

export type BrandVariants = Record<Brands, string>;

/**
 * All the global shared colors and their shade/tint variants
 */
export type GlobalSharedColors = {
  darkRed: ColorVariants;
  burgundy: ColorVariants;
  cranberry: ColorVariants;
  red: ColorVariants;
  darkOrange: ColorVariants;
  bronze: ColorVariants;
  pumpkin: ColorVariants;
  orange: ColorVariants;
  peach: ColorVariants;
  marigold: ColorVariants;
  yellow: ColorVariants;
  gold: ColorVariants;
  brass: ColorVariants;
  brown: ColorVariants;
  darkBrown: ColorVariants;
  lime: ColorVariants;
  forest: ColorVariants;
  seafoam: ColorVariants;
  lightGreen: ColorVariants;
  green: ColorVariants;
  darkGreen: ColorVariants;
  lightTeal: ColorVariants;
  teal: ColorVariants;
  darkTeal: ColorVariants;
  cyan: ColorVariants;
  steel: ColorVariants;
  lightBlue: ColorVariants;
  blue: ColorVariants;
  royalBlue: ColorVariants;
  darkBlue: ColorVariants;
  cornflower: ColorVariants;
  navy: ColorVariants;
  lavender: ColorVariants;
  purple: ColorVariants;
  darkPurple: ColorVariants;
  orchid: ColorVariants;
  grape: ColorVariants;
  berry: ColorVariants;
  lilac: ColorVariants;
  pink: ColorVariants;
  hotPink: ColorVariants;
  magenta: ColorVariants;
  plum: ColorVariants;
  beige: ColorVariants;
  mink: ColorVariants;
  silver: ColorVariants;
  platinum: ColorVariants;
  anchor: ColorVariants;
  charcoal: ColorVariants;
};

export type FontSizeTokens = {
  fontSizeBase100: string;
  fontSizeBase200: string;
  fontSizeBase300: string;
  fontSizeBase400: string;
  fontSizeBase500: string;
  fontSizeBase600: string;

  fontSizeHero700: string;
  fontSizeHero800: string;
  fontSizeHero900: string;
  fontSizeHero1000: string;
};

export type LineHeightTokens = {
  lineHeightBase100: string;
  lineHeightBase200: string;
  lineHeightBase300: string;
  lineHeightBase400: string;
  lineHeightBase500: string;
  lineHeightBase600: string;

  lineHeightHero700: string;
  lineHeightHero800: string;
  lineHeightHero900: string;
  lineHeightHero1000: string;
};

export type FontWeightTokens = {
  fontWeightRegular: number;
  fontWeightMedium: number;
  fontWeightSemibold: number;
};

export type FontFamilyTokens = {
  fontFamilyBase: string;
  fontFamilyMonospace: string;
  fontFamilyNumeric: string;
};

export type TextAlignment =
  | 'inherit'
  | 'initial'
  | 'revert'
  | 'unset'
  | 'center'
  | 'end'
  | 'start'
  | 'justify'
  | 'left'
  | 'match-parent'
  | 'right';

export type TextAlignments = {
  start: TextAlignment;
  center: TextAlignment;
  end: TextAlignment;
  justify: TextAlignment;
};

export type BorderRadiusTokens = {
  borderRadiusNone: string;
  borderRadiusSmall: string;
  borderRadiusMedium: string;
  borderRadiusLarge: string;
  borderRadiusXLarge: string;
  borderRadiusCircular: string;
};

export type StrokeWidthTokens = {
  strokeWidthThin: string;
  strokeWidthThick: string;
  strokeWidthThicker: string;
  strokeWidthThickest: string;
};

/**
 * Design tokens for shadow levels
 */
export type ShadowTokens = {
  shadow2: string;
  shadow4: string;
  shadow8: string;
  shadow16: string;
  shadow28: string;
  shadow64: string;
};

export type ShadowBrandTokens = {
  shadow2Brand: string;
  shadow4Brand: string;
  shadow8Brand: string;
  shadow16Brand: string;
  shadow28Brand: string;
  shadow64Brand: string;
};

export type Greys =
  | 0
  | 2
  | 4
  | 6
  | 8
  | 10
  | 12
  | 14
  | 16
  | 18
  | 20
  | 22
  | 24
  | 26
  | 28
  | 30
  | 32
  | 34
  | 36
  | 38
  | 40
  | 42
  | 44
  | 46
  | 48
  | 50
  | 52
  | 54
  | 56
  | 58
  | 60
  | 62
  | 64
  | 66
  | 68
  | 70
  | 72
  | 74
  | 76
  | 78
  | 80
  | 82
  | 84
  | 86
  | 88
  | 90
  | 92
  | 94
  | 96
  | 98
  | 100;

export type AlphaColors = 5 | 10 | 20 | 30 | 40 | 50 | 60 | 70 | 80 | 90;

// TODO: do we want to split theme for better tree shaking? (MUI)
// But will this end up in the bundle at all? It should be used only in makeStyles and should be removed during build
export type Theme = FontSizeTokens &
  LineHeightTokens &
  BorderRadiusTokens &
  StrokeWidthTokens &
  ShadowTokens &
  ShadowBrandTokens &
  FontFamilyTokens &
  FontWeightTokens &
  ColorPaletteTokens &
  ColorTokens;

export type PartialTheme = Partial<Theme>;
